WordPress.org

Support

Support » Installation » [Resolved] Upgrading to version 3.0 MUST READ when using Podcasting Plugin by TSG!

[Resolved] Upgrading to version 3.0 MUST READ when using Podcasting Plugin by TSG!

  • If you have Podcasting Plugin by TSG ( /podcasting within your plugins directory ) you MUST DELETE it before upgrading or you will end up with the INFAMOUS WHITE SCREEN OF DEATH!

    Note to WordPress Staff: You may want to have a script check plugins for compatibility before release or during upgrade process. No reason anyone should upgrade and end up with a non-functional WordPress site due to a plugin incompatibility even though all PLUGINS should be turned off prior to upgrade.

    Just my 2 cents worth.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Having the plugin disabled is enough, but enabling it after upgrade will break your site.

    see here:

    http://docs.podcastingplugin.com/faq/

    I hope they can fix this. this plugin is critical for us…

    anyone know of a replacement that works in 3.0?

    commenting out this line of the code fixed this for me.

    but I’m unsure what this actually does…

    # register_taxonomy(‘podcast_format’, ‘custom_field’);

    I checked out this plugin and the offending line I found was line 15 in /plugins/podcasting/podcasting.php

    register_taxonomy('podcast_format', 'custom_field');

    I changed this to a function call

    function build_taxonomies() {
    	register_taxonomy('podcast_format', 'custom_field');
      }
      add_action( 'init', 'build_taxonomies', 0 );

    and the plugin worked perfectly for me. Hope this helps, looks like a great plugin.

    Let me know if that works.

    ddarby14 I changed to your function, and it appears to work – thank you!

    np, glad it helps 🙂 i’ve been playing with the plugin – testing the video now, looks like a keeper

    Fixed me too! This community rocks! Thanks for all your help.

    ddarby14 Thanks for this! You saved my site and my sanity with your function call – *phew* clammy palms there for a bit! 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Resolved] Upgrading to version 3.0 MUST READ when using Podcasting Plugin by TSG!’ is closed to new replies.